View Issue Details

IDProjectCategoryView StatusLast Update
0004868GNUnettransport servicepublic2018-06-07 00:24
Reporterng0Assigned ToMatthias Wachs 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86_64OSGuixSDOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004868: test_transport_api_udp fails with parallel-building disabled
Description============================================================================
Testsuite summary for gnunet 0.10.1
============================================================================
# TOTAL: 63
# PASS: 58
# SKIP: 4
# XFAIL: 0
# FAIL: 1
# XPASS: 0
# ERROR: 0
============================================================================
TagsNo tags attached.

Activities

ng0

2017-01-19 23:48

developer  

test-suite.log (18,108 bytes)

ng0

2017-01-19 23:49

developer   ~0011651

Last edited: 2017-01-19 23:59

View 3 revisions

This is very obvious, the path of the tests is too long due to the store hash. This problem will appear on Nix aswell.

FAIL: test_transport_api_udp
============================

Jan 19 22:21:45-461203 util-30734 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingxFBAXH/1/scalarproduct-bob.sock' too long, maximum length is 108
Jan 19 22:21:45-461427 util-30734 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingxFBAXH/1/scalarproduct-alice.sock' too long, maximum length is 108
Jan 19 22:21:45-586344 util-30735 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingxFBAXH/3/scalarproduct-bob.sock' too long, maximum length is 108
Jan 19 22:21:45-586582 util-30735 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingxFBAXH/3/scalarproduct-alice.sock' too long, maximum length is 108
Jan 19 22:21:47-154529 util-30746 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingKiWNBU/1/scalarproduct-bob.sock' too long, maximum length is 108
Jan 19 22:21:47-154751 util-30746 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingKiWNBU/1/scalarproduct-alice.sock' too long, maximum length is 108
Jan 19 22:21:47-291766 util-30747 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingKiWNBU/3/scalarproduct-bob.sock' too long, maximum length is 108
Jan 19 22:21:47-292191 util-30747 WARNING UNIXPATH `/tmp/guix-build-gnunet-git-full-tests-0.10.1-3.aedd591.drv-0/transport-testingKiWNBU/3/scalarproduct-alice.sock' too long, maximum length is 108
Jan 19 22:22:17-079361 test_transport_api_udp-30720 WARNING Testcase timed out
FAIL test_transport_api_udp (exit status: 1)

ng0

2017-01-25 22:07

developer   ~0011652

https://gnunet.org/bot/log/gnunet/2017-01-25#T1274819

It's not really an issue until you start to create longer names like I did.

/closed

Issue History

Date Modified Username Field Change
2017-01-19 23:46 ng0 New Issue
2017-01-19 23:46 ng0 Status new => assigned
2017-01-19 23:46 ng0 Assigned To => Matthias Wachs
2017-01-19 23:48 ng0 File Added: test-suite.log
2017-01-19 23:49 ng0 Note Added: 0011651
2017-01-19 23:50 ng0 Note Edited: 0011651 View Revisions
2017-01-19 23:59 ng0 Note Edited: 0011651 View Revisions
2017-01-25 22:07 ng0 Note Added: 0011652
2017-01-25 22:07 ng0 Status assigned => resolved
2017-01-25 22:07 ng0 Resolution open => fixed
2017-02-01 20:54 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-01 20:54 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed